Package weka.core.pmml.jaxbbindings

# Enum Class MININGFUNCTION

java.lang.Object
java.lang.Enum<MININGFUNCTION>
weka.core.pmml.jaxbbindings.MININGFUNCTION

All Implemented Interfaces:
  `Serializable`, `Comparable<MININGFUNCTION>`, `Constable`

public enum MININGFUNCTION extends Enum<MININGFUNCTION>

Java class for MINING-FUNCTION.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="MINING-FUNCTION">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="associationRules"/>
         <enumeration value="sequences"/>
         <enumeration value="classification"/>
         <enumeration value="regression"/>
         <enumeration value="clustering"/>
         <enumeration value="timeSeries"/>
         <enumeration value="mixed"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ASSOCIATION_RULES`
  `CLASSIFICATION`
  `CLUSTERING`
  `MIXED`
  `REGRESSION`
  `SEQUENCES`
  `TIME_SERIES`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MININGFUNCTION`
  `fromValue(String v)`
  `String`
  `value()`
  `static MININGFUNCTION`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MININGFUNCTION[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ASSOCIATION_RULES

    public static final MININGFUNCTION ASSOCIATION_RULES

  - ### CLASSIFICATION

    public static final MININGFUNCTION CLASSIFICATION

  - ### CLUSTERING

    public static final MININGFUNCTION CLUSTERING

  - ### MIXED

    public static final MININGFUNCTION MIXED

  - ### REGRESSION

    public static final MININGFUNCTION REGRESSION

  - ### SEQUENCES

    public static final MININGFUNCTION SEQUENCES

  - ### TIME_SERIES

    public static final MININGFUNCTION TIME_SERIES

- ## Method Details

  - ### values

    public static MININGFUNCTION[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MININGFUNCTION valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()

  - ### fromValue

    public static MININGFUNCTION fromValue(String v)